org.eclnt.jsfserver.elements.componentnodes

## Class LINKNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.LINKNode

- All Implemented Interfaces:
    java.io.Serializable

      public class LINKNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LINKNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `LINKNode` | `bindAccessiblename(IDynamicContentBindingObject value)`
    `LINKNode` | `bindActionListener(IActionListenerDelegation value)`
    `LINKNode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `LINKNode` | `bindAlign(IDynamicContentBindingObject value)`
    `LINKNode` | `bindAnimatechangeofsize(IDynamicContentBindingObject value)`
    `LINKNode` | `bindBackground(IDynamicContentBindingObject value)`
    `LINKNode` | `bindBgpaint(IDynamicContentBindingObject value)`
    `LINKNode` | `bindBorder(IDynamicContentBindingObject value)`
    `LINKNode` | `bindClientname(IDynamicContentBindingObject value)`
    `LINKNode` | `bindClientvaluereference(IDynamicContentBindingObject value)`
    `LINKNode` | `bindColspan(IDynamicContentBindingObject value)`
    `LINKNode` | `bindComment(IDynamicContentBindingObject value)`
    `LINKNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `LINKNode` | `bindDoubleclickenabled(IDynamicContentBindingObject value)`
    `LINKNode` | `bindEnabled(IDynamicContentBindingObject value)`
    `LINKNode` | `bindFocusable(IDynamicContentBindingObject value)`
    `LINKNode` | `bindFocusdrawborder(IDynamicContentBindingObject value)`
    `LINKNode` | `bindFocusnexthotkey(IDynamicContentBindingObject value)`
    `LINKNode` | `bindFocusprevioushotkey(IDynamicContentBindingObject value)`
    `LINKNode` | `bindFocussequence(IDynamicContentBindingObject value)`
    `LINKNode` | `bindFont(IDynamicContentBindingObject value)`
    `LINKNode` | `bindForeground(IDynamicContentBindingObject value)`
    `LINKNode` | `bindForegrounddisabled(IDynamicContentBindingObject value)`
    `LINKNode` | `bindFxstyleseq(IDynamicContentBindingObject value)`
    `LINKNode` | `bindHeight(IDynamicContentBindingObject value)`
    `LINKNode` | `bindHelpid(IDynamicContentBindingObject value)`
    `LINKNode` | `bindHotkey(IDynamicContentBindingObject value)`
    `LINKNode` | `bindImage(IDynamicContentBindingObject value)`
    `LINKNode` | `bindLinkinvokedcolor(IDynamicContentBindingObject value)`
    `LINKNode` | `bindPopupmenu(IDynamicContentBindingObject value)`
    `LINKNode` | `bindPopupmenuloadroundtrip(IDynamicContentBindingObject value)`
    `LINKNode` | `bindRendered(IDynamicContentBindingObject value)`
    `LINKNode` | `bindRequestfocus(IDynamicContentBindingObject value)`
    `LINKNode` | `bindRequestfocushotkey(IDynamicContentBindingObject value)`
    `LINKNode` | `bindRounding(IDynamicContentBindingObject value)`
    `LINKNode` | `bindRowalignmenty(IDynamicContentBindingObject value)`
    `LINKNode` | `bindShadow(IDynamicContentBindingObject value)`
    `LINKNode` | `bindStyleseq(IDynamicContentBindingObject value)`
    `LINKNode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `LINKNode` | `bindText(IDynamicContentBindingObject value)`
    `LINKNode` | `bindTooltip(IDynamicContentBindingObject value)`
    `LINKNode` | `bindUserhint(IDynamicContentBindingObject value)`
    `LINKNode` | `bindUserhinttrigger(IDynamicContentBindingObject value)`
    `LINKNode` | `bindWidth(IDynamicContentBindingObject value)`
    `LINKNode` | `bindWithfocusevent(IDynamicContentBindingObject value)`
    `LINKNode` | `bindWithlongclick(IDynamicContentBindingObject value)`
    `LINKNode` | `bindWithlongclickendevent(IDynamicContentBindingObject value)`
    `LINKNode` | `bindX(IDynamicContentBindingObject value)`
    `LINKNode` | `bindY(IDynamicContentBindingObject value)`
    `LINKNode` | `setAccessiblename(java.lang.String value)`
    `LINKNode` | `setActionListener(java.lang.String value)`
    `LINKNode` | `setAdapterbinding(java.lang.String value)`
    `LINKNode` | `setAlign(java.lang.String value)`
    `LINKNode` | `setAnimatechangeofsize(boolean value)`
    `LINKNode` | `setAnimatechangeofsize(java.lang.String value)`
    `LINKNode` | `setAttributemacro(java.lang.String value)`
    `LINKNode` | `setBackground(java.lang.String value)`
    `LINKNode` | `setBgpaint(java.lang.String value)`
    `LINKNode` | `setBorder(java.lang.String value)`
    `LINKNode` | `setClientname(java.lang.String value)`
    `LINKNode` | `setClientvaluereference(java.lang.String value)`
    `LINKNode` | `setColspan(int value)`
    `LINKNode` | `setColspan(java.lang.String value)`
    `LINKNode` | `setComment(java.lang.String value)`
    `LINKNode` | `setConfiginfo(java.lang.String value)`
    `LINKNode` | `setDoubleclickenabled(boolean value)`
    `LINKNode` | `setDoubleclickenabled(java.lang.String value)`
    `LINKNode` | `setEnabled(boolean value)`
    `LINKNode` | `setEnabled(java.lang.String value)`
    `LINKNode` | `setFocusable(boolean value)`
    `LINKNode` | `setFocusable(java.lang.String value)`
    `LINKNode` | `setFocusdrawborder(boolean value)`
    `LINKNode` | `setFocusdrawborder(java.lang.String value)`
    `LINKNode` | `setFocusnexthotkey(java.lang.String value)`
    `LINKNode` | `setFocusprevioushotkey(java.lang.String value)`
    `LINKNode` | `setFocussequence(java.lang.String value)`
    `LINKNode` | `setFont(java.lang.String value)`
    `LINKNode` | `setForeground(java.lang.String value)`
    `LINKNode` | `setForegrounddisabled(java.lang.String value)`
    `LINKNode` | `setFxstyleseq(java.lang.String value)`
    `LINKNode` | `setHeight(int value)`
    `LINKNode` | `setHeight(java.lang.String value)`
    `LINKNode` | `setHelpid(java.lang.String value)`
    `LINKNode` | `setHotkey(java.lang.String value)`
    `LINKNode` | `setId(java.lang.String value)`
    `LINKNode` | `setImage(java.lang.String value)`
    `LINKNode` | `setLinkinvokedcolor(java.lang.String value)`
    `LINKNode` | `setPopupmenu(java.lang.String value)`
    `LINKNode` | `setPopupmenuloadroundtrip(java.lang.String value)`
    `LINKNode` | `setReference(java.lang.String value)`
    `LINKNode` | `setRendered(boolean value)`
    `LINKNode` | `setRendered(java.lang.String value)`
    `LINKNode` | `setRequestfocus(java.lang.String value)`
    `LINKNode` | `setRequestfocushotkey(java.lang.String value)`
    `LINKNode` | `setRounding(int value)`
    `LINKNode` | `setRounding(java.lang.String value)`
    `LINKNode` | `setRowalignmenty(java.lang.String value)`
    `LINKNode` | `setShadow(java.lang.String value)`
    `LINKNode` | `setStyleseq(java.lang.String value)`
    `LINKNode` | `setStylevariant(java.lang.String value)`
    `LINKNode` | `setText(java.lang.String value)`
    `LINKNode` | `setTooltip(java.lang.String value)`
    `LINKNode` | `setUserhint(java.lang.String value)`
    `LINKNode` | `setUserhinttrigger(java.lang.String value)`
    `LINKNode` | `setWidth(int value)`
    `LINKNode` | `setWidth(java.lang.String value)`
    `LINKNode` | `setWithfocusevent(boolean value)`
    `LINKNode` | `setWithfocusevent(java.lang.String value)`
    `LINKNode` | `setWithlongclick(boolean value)`
    `LINKNode` | `setWithlongclick(java.lang.String value)`
    `LINKNode` | `setWithlongclickendevent(boolean value)`
    `LINKNode` | `setWithlongclickendevent(java.lang.String value)`
    `LINKNode` | `setX(int value)`
    `LINKNode` | `setX(java.lang.String value)`
    `LINKNode` | `setY(int value)`
    `LINKNode` | `setY(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LINKNode

          public LINKNode()

  - ### Method Detail

    - #### setId

          public LINKNode setId(java.lang.String value)

    - #### setAccessiblename

          public LINKNode setAccessiblename(java.lang.String value)

    - #### bindAccessiblename

          public LINKNode bindAccessiblename(IDynamicContentBindingObject value)

    - #### setActionListener

          public LINKNode setActionListener(java.lang.String value)

    - #### bindActionListener

          public LINKNode bindActionListener(IActionListenerDelegation value)

    - #### setAdapterbinding

          public LINKNode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public LINKNode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setAlign

          public LINKNode setAlign(java.lang.String value)

    - #### bindAlign

          public LINKNode bindAlign(IDynamicContentBindingObject value)

    - #### setAnimatechangeofsize

          public LINKNode setAnimatechangeofsize(java.lang.String value)

    - #### bindAnimatechangeofsize

          public LINKNode bindAnimatechangeofsize(IDynamicContentBindingObject value)

    - #### setAnimatechangeofsize

          public LINKNode setAnimatechangeofsize(boolean value)

    - #### setAttributemacro

          public LINKNode setAttributemacro(java.lang.String value)

    - #### setBackground

          public LINKNode setBackground(java.lang.String value)

    - #### bindBackground

          public LINKNode bindBackground(IDynamicContentBindingObject value)

    - #### setBgpaint

          public LINKNode setBgpaint(java.lang.String value)

    - #### bindBgpaint

          public LINKNode bindBgpaint(IDynamicContentBindingObject value)

    - #### setBorder

          public LINKNode setBorder(java.lang.String value)

    - #### bindBorder

          public LINKNode bindBorder(IDynamicContentBindingObject value)

    - #### setClientname

          public LINKNode setClientname(java.lang.String value)

    - #### bindClientname

          public LINKNode bindClientname(IDynamicContentBindingObject value)

    - #### setClientvaluereference

          public LINKNode setClientvaluereference(java.lang.String value)

    - #### bindClientvaluereference

          public LINKNode bindClientvaluereference(IDynamicContentBindingObject value)

    - #### setColspan

          public LINKNode setColspan(java.lang.String value)

    - #### bindColspan

          public LINKNode bindColspan(IDynamicContentBindingObject value)

    - #### setColspan

          public LINKNode setColspan(int value)

    - #### setComment

          public LINKNode setComment(java.lang.String value)

    - #### bindComment

          public LINKNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public LINKNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public LINKNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setDoubleclickenabled

          public LINKNode setDoubleclickenabled(java.lang.String value)

    - #### bindDoubleclickenabled

          public LINKNode bindDoubleclickenabled(IDynamicContentBindingObject value)

    - #### setDoubleclickenabled

          public LINKNode setDoubleclickenabled(boolean value)

    - #### setEnabled

          public LINKNode setEnabled(java.lang.String value)

    - #### bindEnabled

          public LINKNode bindEnabled(IDynamicContentBindingObject value)

    - #### setEnabled

          public LINKNode setEnabled(boolean value)

    - #### setFocusable

          public LINKNode setFocusable(java.lang.String value)

    - #### bindFocusable

          public LINKNode bindFocusable(IDynamicContentBindingObject value)

    - #### setFocusable

          public LINKNode setFocusable(boolean value)

    - #### setFocusdrawborder

          public LINKNode setFocusdrawborder(java.lang.String value)

    - #### bindFocusdrawborder

          public LINKNode bindFocusdrawborder(IDynamicContentBindingObject value)

    - #### setFocusdrawborder

          public LINKNode setFocusdrawborder(boolean value)

    - #### setFocusnexthotkey

          public LINKNode setFocusnexthotkey(java.lang.String value)

    - #### bindFocusnexthotkey

          public LINKNode bindFocusnexthotkey(IDynamicContentBindingObject value)

    - #### setFocusprevioushotkey

          public LINKNode setFocusprevioushotkey(java.lang.String value)

    - #### bindFocusprevioushotkey

          public LINKNode bindFocusprevioushotkey(IDynamicContentBindingObject value)

    - #### setFocussequence

          public LINKNode setFocussequence(java.lang.String value)

    - #### bindFocussequence

          public LINKNode bindFocussequence(IDynamicContentBindingObject value)

    - #### setFont

          public LINKNode setFont(java.lang.String value)

    - #### bindFont

          public LINKNode bindFont(IDynamicContentBindingObject value)

    - #### setForeground

          public LINKNode setForeground(java.lang.String value)

    - #### bindForeground

          public LINKNode bindForeground(IDynamicContentBindingObject value)

    - #### setForegrounddisabled

          public LINKNode setForegrounddisabled(java.lang.String value)

    - #### bindForegrounddisabled

          public LINKNode bindForegrounddisabled(IDynamicContentBindingObject value)

    - #### setFxstyleseq

          public LINKNode setFxstyleseq(java.lang.String value)

    - #### bindFxstyleseq

          public LINKNode bindFxstyleseq(IDynamicContentBindingObject value)

    - #### setHeight

          public LINKNode setHeight(java.lang.String value)

    - #### bindHeight

          public LINKNode bindHeight(IDynamicContentBindingObject value)

    - #### setHeight

          public LINKNode setHeight(int value)

    - #### setHelpid

          public LINKNode setHelpid(java.lang.String value)

    - #### bindHelpid

          public LINKNode bindHelpid(IDynamicContentBindingObject value)

    - #### setHotkey

          public LINKNode setHotkey(java.lang.String value)

    - #### bindHotkey

          public LINKNode bindHotkey(IDynamicContentBindingObject value)

    - #### setImage

          public LINKNode setImage(java.lang.String value)

    - #### bindImage

          public LINKNode bindImage(IDynamicContentBindingObject value)

    - #### setLinkinvokedcolor

          public LINKNode setLinkinvokedcolor(java.lang.String value)

    - #### bindLinkinvokedcolor

          public LINKNode bindLinkinvokedcolor(IDynamicContentBindingObject value)

    - #### setPopupmenu

          public LINKNode setPopupmenu(java.lang.String value)

    - #### bindPopupmenu

          public LINKNode bindPopupmenu(IDynamicContentBindingObject value)

    - #### setPopupmenuloadroundtrip

          public LINKNode setPopupmenuloadroundtrip(java.lang.String value)

    - #### bindPopupmenuloadroundtrip

          public LINKNode bindPopupmenuloadroundtrip(IDynamicContentBindingObject value)

    - #### setReference

          public LINKNode setReference(java.lang.String value)

    - #### setRendered

          public LINKNode setRendered(java.lang.String value)

    - #### bindRendered

          public LINKNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public LINKNode setRendered(boolean value)

    - #### setRequestfocus

          public LINKNode setRequestfocus(java.lang.String value)

    - #### bindRequestfocus

          public LINKNode bindRequestfocus(IDynamicContentBindingObject value)

    - #### setRequestfocushotkey

          public LINKNode setRequestfocushotkey(java.lang.String value)

    - #### bindRequestfocushotkey

          public LINKNode bindRequestfocushotkey(IDynamicContentBindingObject value)

    - #### setRounding

          public LINKNode setRounding(java.lang.String value)

    - #### bindRounding

          public LINKNode bindRounding(IDynamicContentBindingObject value)

    - #### setRounding

          public LINKNode setRounding(int value)

    - #### setRowalignmenty

          public LINKNode setRowalignmenty(java.lang.String value)

    - #### bindRowalignmenty

          public LINKNode bindRowalignmenty(IDynamicContentBindingObject value)

    - #### setShadow

          public LINKNode setShadow(java.lang.String value)

    - #### bindShadow

          public LINKNode bindShadow(IDynamicContentBindingObject value)

    - #### setStyleseq

          public LINKNode setStyleseq(java.lang.String value)

    - #### bindStyleseq

          public LINKNode bindStyleseq(IDynamicContentBindingObject value)

    - #### setStylevariant

          public LINKNode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public LINKNode bindStylevariant(IDynamicContentBindingObject value)

    - #### setText

          public LINKNode setText(java.lang.String value)

    - #### bindText

          public LINKNode bindText(IDynamicContentBindingObject value)

    - #### setTooltip

          public LINKNode setTooltip(java.lang.String value)

    - #### bindTooltip

          public LINKNode bindTooltip(IDynamicContentBindingObject value)

    - #### setUserhint

          public LINKNode setUserhint(java.lang.String value)

    - #### bindUserhint

          public LINKNode bindUserhint(IDynamicContentBindingObject value)

    - #### setUserhinttrigger

          public LINKNode setUserhinttrigger(java.lang.String value)

    - #### bindUserhinttrigger

          public LINKNode bindUserhinttrigger(IDynamicContentBindingObject value)

    - #### setWidth

          public LINKNode setWidth(java.lang.String value)

    - #### bindWidth

          public LINKNode bindWidth(IDynamicContentBindingObject value)

    - #### setWidth

          public LINKNode setWidth(int value)

    - #### setWithfocusevent

          public LINKNode setWithfocusevent(java.lang.String value)

    - #### bindWithfocusevent

          public LINKNode bindWithfocusevent(IDynamicContentBindingObject value)

    - #### setWithfocusevent

          public LINKNode setWithfocusevent(boolean value)

    - #### setWithlongclick

          public LINKNode setWithlongclick(java.lang.String value)

    - #### bindWithlongclick

          public LINKNode bindWithlongclick(IDynamicContentBindingObject value)

    - #### setWithlongclick

          public LINKNode setWithlongclick(boolean value)

    - #### setWithlongclickendevent

          public LINKNode setWithlongclickendevent(java.lang.String value)

    - #### bindWithlongclickendevent

          public LINKNode bindWithlongclickendevent(IDynamicContentBindingObject value)

    - #### setWithlongclickendevent

          public LINKNode setWithlongclickendevent(boolean value)

    - #### setX

          public LINKNode setX(java.lang.String value)

    - #### bindX

          public LINKNode bindX(IDynamicContentBindingObject value)

    - #### setX

          public LINKNode setX(int value)

    - #### setY

          public LINKNode setY(java.lang.String value)

    - #### bindY

          public LINKNode bindY(IDynamicContentBindingObject value)

    - #### setY

          public LINKNode setY(int value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.